Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.spring.jee
Class JEEContextLoader

    java.lang.Object
      org.springframework.web.context.ContextLoader
          org.mortbay.jetty.spring.jee.JEEContextLoader

    public class JEEContextLoader

extends org.springframework.web.context.ContextLoader

JEEContextLoader Loads the spring-ejb.xml files describing ejbs from any META-INF dir in any jar or classes dir on the runtime classpath. Also loads the jee bootstrapper to perform resource injection etc on the ejbs. The bootstrapper config file is part of the jetty spring jar. This spring context will be the parent context of the usual spring web app context (ie applicationContext.xml).

Field Summary

Fields inherited from class org.springframework.web.context.ContextLoader
`CONFIG_LOCATION_PARAM, CONTEXT_CLASS_PARAM, LOCATOR_FACTORY_KEY_PARAM, LOCATOR_FACTORY_SELECTOR_PARAM`

Constructor Summary
`JEEContextLoader()`

Method Summary
`protected org.springframework.context.ApplicationContext` | `loadParentContext(ServletContext servletContext)`

Methods inherited from class org.springframework.web.context.ContextLoader
`closeWebApplicationContext, createWebApplicationContext, determineContextClass, initWebApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JEEContextLoader

    public JEEContextLoader()

Method Detail

### loadParentContext

    protected org.springframework.context.ApplicationContext loadParentContext(ServletContext servletContext)
                                                                        throws org.springframework.beans.BeansException

  Overrides:
    `loadParentContext` in class `org.springframework.web.context.ContextLoader`
  Throws:
    `org.springframework.beans.BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.